<template>
    <div class="content">
        <div class="tabs">
            <ul>
                <li v-for="(tab,i) in tabs" @click="goTab(tab.url)" :class="{'active':tabIndex == i}">
                    {{tab.name}}
                </li>
            </ul>
        </div>
        <div class="panel">
            <div class="panel-body">
                <div class=" panel_control">
                    <div class="pline">
                        <em>MAC地址:</em>
                        <el-input v-model="panel.mac" placeholder=""></el-input>
                    </div>
                    <div class="pline">
                        <em>设备类型 :</em>
                        <el-select v-model="panel.deviceType">
                            <el-option
                                    v-for="item in panel.deviceTypeOptions"
                                    :key="item.value"
                                    :label="item.label"
                                    :value="item.value">
                            </el-option>
                        </el-select>
                    </div>
                    <div class="pline">
                        <em>安全等级 :</em>
                        <el-select v-model="panel.level">
                            <el-option
                                    v-for="item in panel.levelOptions"
                                    :key="item.value"
                                    :label="item.label"
                                    :value="item.value">
                            </el-option>
                        </el-select>
                    </div>
                    <div class="pline">
                        <em>时间范围</em>
                        <el-date-picker
                                v-model="panel.time1"
                                type="daterange"
                                range-separator="至"
                                start-placeholder="开始日期"
                                end-placeholder="结束日期">
                        </el-date-picker>
                    </div>
                    <div class="pline">
                        <el-button size="medium" type="primary" @click="query">查询</el-button>
                    </div>
                    <!--<div class="pline pull-right">-->
                    <!--<el-button size="medium" type="primary" @click="addList">添加</el-button>-->
                    <!--<el-button size="medium" type="primary" @click="editList">修改</el-button>-->
                    <!--<el-button size="medium" type="primary" @click="delList">删除</el-button>-->
                    <!--</div>-->
                </div>
            </div>
        </div>
        <el-table
                :data="tableData"
                is-horizontal-resize
                :default-sort="{prop: 'date', order: 'descending'}"
                v-loading="loading"
                element-loading-background="rgba(0, 0, 0, 0.8)"
                class=""
                @selection-change="handleSelectionChange"
                stripe
                ref="multipleTable"
                @row-click="handle"
        >
            <el-table-column
                    type="selection"
                    width="55">
            </el-table-column>
            <el-table-column
                    type="index"
                    label="序号"
                    width="60"
                    sortable
            >
            </el-table-column>
            <el-table-column
                    prop="Mac"
                    label="Mac"
            >
            </el-table-column>
            <el-table-column
                    prop="ApMac"
                    label="ApMac"
            >
            </el-table-column>
            <el-table-column
                    prop="Oem"
                    label="品牌"
                    width="140"
                    align="center"
                    sortable
            >
                <template slot-scope="scope">
                    <el-tooltip class="item" effect="dark" :content="scope.row.Oem" placement="top-start">
                            <span v-if="scope.row.Oem">
                                    {{ scope.row.Oem.length > 9 ?  scope.row.Oem.substr(0,9)+'...' : scope.row.Oem }}
                            </span>
                        <span v-else>
                                未知
                            </span>

                    </el-tooltip>
                </template>
            </el-table-column>
            <el-table-column
                    prop="DetectorTag"
                    label="探测器"
                    sortable
            >
            </el-table-column>
            <el-table-column
                    prop="DeviceType"
                    label="设备类型"
                    :formatter="filterType"
                    sortable
            >
            </el-table-column>
            <el-table-column
                    prop="Down"
                    label="下载"
                    sortable
            >
            </el-table-column>
            <el-table-column
                    prop="Up"
                    label="上传"
                    sortable
            >
            </el-table-column>

            <el-table-column
                    prop="Ssid"
                    label="Ssid"
                    sortable
            >
                <template slot-scope="scope">
                    <el-tooltip class="item" effect="dark" :content="scope.row.Ssid" placement="top-start">
                            <span v-if="scope.row.Ssid">
                                    {{ scope.row.Ssid.length > 9 ?  scope.row.Ssid.substr(0,9)+'...' : scope.row.Ssid }}
                            </span>
                        <span v-else>
                                未知
                            </span>
                    </el-tooltip>
                </template>
            </el-table-column>
            <el-table-column
                    prop="Rssi"
                    label="Rssi"
                    sortable
            >
            </el-table-column>
            <el-table-column
                    prop="RltLevel"
                    label="安全等级"
                    sortable
            >
                <template slot-scope="scope">
                    <span v-if="scope.row.RltLevel == 1">可信设备</span>
                    <span v-if="scope.row.RltLevel == 2" class="">正常</span>
                    <span v-if="scope.row.RltLevel == 3" class="yellow">可疑</span>
                    <span v-if="scope.row.RltLevel == 4" class="red">危险</span>
                    <span v-if="scope.row.RltLevel == 99" class="red">已处理</span>
                </template>
            </el-table-column>
            <el-table-column
                    prop="UpdateTs"
                    label="更新时间"
                    width="180"
                    :formatter="filterTime"
                    sortable
            >
            </el-table-column>
            <el-table-column
                    prop="address"
                    label="操作"
                    width="220"
            >
                <template slot-scope="scope">
                    <!--<el-button class="" type="primary" size="small" @click="goWifiRecord(scope.row)">监测记录</el-button>-->
                    <el-button class="" type="primary" size="small" v-if="scope.row.RltLevel != 1" @click="markEquip(scope.row)">标记设备</el-button>

                    <el-button class="" type="danger" size="small" v-if="scope.row.RltLevel == 1" @click="removeMark(scope.row)">移除标记</el-button>


                    <el-button v-if="scope.row.Status == 1" class="yellow" type="text" @click="pauseRow(scope.row)">禁用
                    </el-button>
                    <el-button v-if="scope.row.Status == 0" class="green" type="text" @click="runRow(scope.row)">启用
                    </el-button>
                </template>
            </el-table-column>
        </el-table>
        <br>
        <el-pagination
                background
                :total="pageination.total"
                :page-size="pageination.pageItem"
                @current-change="pageChange"
        ></el-pagination>

        <!--<el-button class="down_btn" type="primary" @click="goPoster(scope.row)">下载驱动器todo</el-button>-->
        <dialog_referrer_list
                :show="dialog_state"
                :title="dialog_title"
                @dialog_cancel="dialog_cancel"
                @dialog_ok="dialog_ok"
        >
            <div class="dialogContent">
                <el-row :gutter="24">
                    <el-col :span="12">
                        <label>
                            危险等级
                        </label>
                        <el-select v-model="dialog.dangerLevel">
                            <el-option
                                    v-for="item in panel.levelOptions"
                                    :key="item.value"
                                    :label="item.label"
                                    :value="item.value">
                            </el-option>
                        </el-select>
                    </el-col>
                    <el-col :span="12">
                        <label>
                            设备类型
                        </label>
                        <el-select v-model="dialog.deviceType">
                            <el-option
                                    v-for="item in panel.deviceTypeOptions"
                                    :key="item.value"
                                    :label="item.label"
                                    :value="item.value">
                            </el-option>
                        </el-select>
                    </el-col>
                    <el-col :span="24">
                        <label>
                            备注
                        </label>
                        <el-input v-model="dialog.memo" type="textarea"></el-input>
                    </el-col>
                </el-row>
            </div>
        </dialog_referrer_list>
    </div>
</template>

<script>
    import Global from '../Global.js'
    import dialog_referrer_list from '../components/dialog_referrer_list'
    import {
        DetectorQuery,
        GetChildRegionSelect,
        DetectorEditStatus,
        RegionPictureGetByRegionId,
        DetectorAdd,
        RegionList,
        DetectorList,
        DetectorEdit,
        GetDetectorCoords,
        GeFullRegionSelect,
        DetectorKnownRemove,
        DetectorKnownEdit,
        DetectorNetDevList
    } from '../api/getApiRes.js'

    let qs = require('qs');
    export default {
        data() {
            return {
                // dialog
                dialog_state: false,
                dialog_title: '',
                dialog_type: '',//类型，1是添加，2是修改
                dialog: {
                    id: '',
                    mac: '',
                    level: 1,
                    dangerLevel: 1,
                    deviceType: 1,
                    comId: 1,
                    regionlevelOneId: 0,
                    regionId: 0,
                    tagname: '',
                    longitude: 0,
                    latitude: 0,
                    HardwareVersion: '',
                    FirmwareVersion: '',
                    FirmwareScanM4Version: '',
                    FirmwareScanM0Version: '',
                    purchasesrc: '',
                    location: '',
                    coords_memo: '',
                    memo: '',
                    plateImgSrc: '',
                    regionlevelOneIdOptions: [],
                    regionIdRoomOptions: [],
                    points: [],
                    CoordsId: 0,
                    status: 0,
                },
                tabIndex: 0,
                tabs: [
                    {name: '无线设备管理', url: 'signEquip'},
                ],
                // panel 配置项目
                panel: {
                    mac: '',
                    deviceType: '',
                    level: '',
                    detectorId: '',
                    time1: globalBt3(1),
                    deviceTypeOptions: AllTypeOption(),
                    levelOptions: levelOptions(),
                    detectorIdOptions: [],
                },
                pageination: {
                    pageItem: 100,
                    pageoptions: pageOptions(),
                    total: 500,
                    pageIndex: 1,
                },
                draw: 1,
                start: 0,
                recordsTotal: 0,
                tableData: [],
                allTableData: [],
                limit: '10',
                multipleSort: false,
                loading: true,
                fileList: [],
                multipleSelection: [],
                detectedmac: '',
            }
        },
        mounted() {
            this.getTableQuery();
        },
        methods: {
            handle(row, column, event) {
                this.$refs.multipleTable.toggleRowSelection(row);
            },
            // 页面数据查询
            getTableQuery() {
                let that = this;
                that.loading = true;
                let bt = parseInt(new Date(that.panel.time1[0]).getTime() / 1000);
                let et = parseInt(new Date(that.panel.time1[1]).getTime() / 1000);
                let param = {
                    token: localStorage.token,
                    mac: this.panel.mac,//
                    deviceType: that.panel.deviceType,//
                    level: that.panel.level,//标签名
                    bt: bt,//
                    et: et,//
                    offset: this.start,
                    limit: this.start + 100,//
                };
                let postdata = qs.stringify(param);
                DetectorNetDevList(postdata).then(res => {
                    let json = res;
                    if (json.Code == 0) {
                        that.loading = false;
                        if (json.Rs) {
                            that.allTableData = json.Rs;
                            that.recordsTotal = json.AllCount;
                        } else {
                            that.allTableData = [];
                            that.recordsTotal = 0;
                        }
                        // 设置分页数据
                        that.setPaginations();
                    } else {
                        that.$message.error(json.Memo + '，错误代码：' + json.Code);
                    }
                })
            },
            // 标记设备
            markEquip(row) {
                this.dialog_title = '标记设备';
                this.dialog_state = true;
                this.dialog.id = row.Id;
            },
            // 移除标记
            removeMark(row){
                let that = this;
                let param = {
                    token: localStorage.token,
                    id : row.Id,
                };
                let postdata = qs.stringify(param);

                this.$confirm('此操作将永久移除该标记, 是否继续?', '提示', {
                    confirmButtonText: '确定',
                    cancelButtonText: '取消',
                    type: 'warning'
                }).then(() => {
                    DetectorKnownRemove(postdata).then(res => {
                        let json = res;
                        if (json.Code == 0) {
                            that.$message({
                                showClose: true,
                                message: '选中的标记已移除！',
                                type: 'success'
                            });
                            // 重载列表
                            that.getTableQuery();
                            that.dialog_state = false;
                        } else {
                            that.$message.error(json.Memo + '，错误代码：' + json.Code);
                        }
                    });
                }).catch(() => {
                    this.$message({
                        type: 'info',
                        message: '已取消移除'
                    });
                });
            },
            // 获取下级列表
            getGeFullRegionSelect() {
                let that = this;
                let param = {
                    token: localStorage.token,
                };
                let postdata = qs.stringify(param);
                RegionList(postdata).then(res => {
                    let json = res;
                    if (json.Code == 0) {
                        if (!json.Rs) {
                            that.$message.error('区域列表为空，请先添加有效区域');
                            return false
                        }
                        that.panel.regionidOptions = json.Rs;
                        that.panel.regionidOptions.unshift({Id: 0, Name: "全部", DisplayName: "全部"});
                    } else {
                        that.$message.error(json.Memo + '，错误代码：' + json.Code);
                    }
                })
            },
            // dialog获取下级列表
            dialoggetGeFullRegionSelect() {
                let that = this;
                let param = {
                    token: localStorage.token,
                };
                let postdata = qs.stringify(param);
                RegionList(postdata).then(res => {
                    let json = res;
                    if (json.Code == 0) {
                        that.dialog.regionlevelOneIdOptions = json.Rs;
                        that.dialog.regionId = json.Rs[0].Id;
                    } else {
                        that.$message.error(json.Memo + '，错误代码：' + json.Code);
                    }
                })
            },
            // dialog获取区域下级菜单
            dialogGetGetChildRegionSelect(regionId, level) {
                let that = this;
                let param = {
                    token: localStorage.token,
                    regionId: regionId,
                };
                let postdata = qs.stringify(param);
                RegionList(postdata).then(res => {
                    let json = res;
                    if (json.Code == 0) {
                        that.dialog.regionlevelOneIdOptions = json.Rs;
                        that.dialog.regionlevelOneId = regionId;
                        // if (level == 1) {
                        //     console.log(json.Rs);
                        //     that.dialog.regionlevelOneIdOptions = json.Rs;
                        //     that.dialog.regionlevelOneId = regionId;
                        // } else {
                        //     if (json.Rs) {
                        //         console.log(123);
                        //         that.dialog.regionIdRoomOptions = json.Rs;
                        //         that.dialog.regionId = regionId;
                        //     } else {
                        //         that.dialog.regionIdRoomOptions = [];
                        //         that.dialog.regionId = '';
                        //     }
                        // }
                    } else {
                        that.$message.error(json.Memo + '，错误代码：' + json.Code);
                    }
                })
            },
            // 跳转tab页面
            goTab(url) {
                this.$router.push({path: url});
            },
            // 查询按钮
            query() {
                this.getTableQuery();
                this.$message.success('查询完毕');
            },

            handleSelectionChange(val) {
                this.multipleSelection = val;
            },
            // 设置分页数据
            setPaginations() {
                // 分页属性
                let that = this;
                that.pageination.total = that.recordsTotal;
                // 默认分页
                that.tableData = that.allTableData.filter((item, index) => {
                    return index < that.pageination.pageItem;
                });
            },
            // 每页显示数量
            handleSizeChange() {
                let that = this;
                that.tableData = that.allTableData.filter((item, index) => {
                    return index < that.pageination.pageItem;
                });
                that.draw = that.pageination.pageItem;
                // that.getTableQuery();
            },
            // 翻页
            pageChange(pageIndex) {
                let that = this;
                // 获取当前页
                let index = that.pageination.pageItem * (pageIndex - 1);
                // 数据总数
                let nums = that.pageination.pageItem * pageIndex;
                // 容器
                let tables = [];
                for (var i = index; i < nums; i++) {
                    if (that.allTableData[i]) {
                        tables.push(that.allTableData[i])
                    }
                    this.tableData = tables;
                }
                that.start = index * that.draw;
                that.getTableQuery();
            },
            // 自动排序
            sortChange(params) {
                console.log(params)
            },
            // 过滤时间
            filterFmtDate(value, row, column) {
                return globalfmtDate(column, 11);
            },
            addList() {
                this.dialog_state = true;
                this.dialog_title = '添加监控区域';
                this.dialog_type = 1;

                // 重载地区列表
                this.getGeFullRegionSelect();

                // clear dialog
                this.dialog.mac = '';
                this.dialog.regionId = '';
                this.dialog.tagname = '';
                this.dialog.HardwareVersion = '';
                this.dialog.FirmwareVersion = '';
                this.dialog.FirmwareScanM4Version = '';
                this.dialog.FirmwareScanM0Version = '';
                this.dialog.location = '';
                this.dialog.purchasesrc = '';
                this.dialog.memo = '';
                this.dialog.coords_memo = '';
                this.dialog.points = [{}];

                // 加载默认的平面图
                // this.dialogGetGetChildRegionSelect(0, 1);
                this.dialoggetGeFullRegionSelect()
            },
            delList() {
                let that = this;
                // checkNum
                if (!this.multipleSelection.length) {
                    that.$message({
                        showClose: true,
                        message: '错了哦，需要先选中至少一条记录',
                        type: 'error'
                    });
                    return false
                }
                let detectorid = that.multipleSelection[0].Id;

                let param = {
                    token: localStorage.token,
                    detectorid: detectorid,
                    status: 9,//0禁用1启用9删除
                };
                let postdata = qs.stringify(param);

                this.$confirm('此操作将永久删除该设备, 是否继续?', '提示', {
                    confirmButtonText: '确定',
                    cancelButtonText: '取消',
                    type: 'warning'
                }).then(() => {
                    DetectorEditStatus(postdata).then(res => {
                        let json = res;
                        if (json.Code == 0) {
                            that.$message({
                                showClose: true,
                                message: '选中的设备已删除！',
                                type: 'success'
                            });
                            // 重载列表
                            that.getTableQuery();
                            that.dialog_state = false;
                        } else {
                            that.$message.error(json.Memo + '，错误代码：' + json.Code);
                        }
                    });
                }).catch(() => {
                    this.$message({
                        type: 'info',
                        message: '已取消删除'
                    });
                });
            },
            editList() {
                let that = this;
                // checkNum
                if (!this.multipleSelection.length) {
                    this.$message({
                        showClose: true,
                        message: '错了哦，需要先选中一条记录',
                        type: 'error'
                    });
                    return false
                }
                if (this.multipleSelection.length > 1) {
                    this.$message({
                        showClose: true,
                        message: '错了哦，只能选中一条记录',
                        type: 'error'
                    });
                    return false
                }
                this.dialog_state = true;
                this.dialog_title = '修改设备信息';
                this.dialog_type = 2;

                // 读取本条记录
                let row = this.multipleSelection[0];
                this.dialog.eqId = row.Id;
                this.dialog.mac = row.Mac;
                this.dialog.regionId = row.RegionId;
                this.dialog.tagname = row.TagName;
                this.dialog.HardwareVersion = row.HardwareVersion;
                this.dialog.FirmwareVersion = row.FirmwareVersion;
                this.dialog.FirmwareScanM4Version = row.FirmwareScanM4Version;
                this.dialog.FirmwareScanM0Version = row.FirmwareScanM0Version;
                this.dialog.location = row.Location;
                this.dialog.purchasesrc = row.PurchaseSrc;
                this.dialog.memo = row.Memo;
                this.dialog.regionlevelOneId = row.RegionId;
                this.dialog.status = row.Status;
                // this.dialog.coords_memo = row.coords_memo;

                // 重载地区列表
                this.getGeFullRegionSelect();

                that.dialog.points = [{x: row.X, y: row.Y}];

                // let param = {
                //     token: localStorage.token,
                //     detectorId: row.Id,
                // };
                // let postdata = qs.stringify(param);
                // GetDetectorCoords(postdata).then(res => {
                //     let json = res;
                //     if (json.Code == 0) {
                //         if (json.Rs.length != 0) {
                //             console.log(json.Rs[0]);
                //             // that.dialog.points = [{x: json.Rs[0].X, y: json.Rs[0].Y}];
                //             that.dialog.points = [{x: json.Rs.X, y: json.Rs.Y}];
                //             // that.dialog.CoordsId = json.Rs[0].CoordsId;
                //             // that.dialog.coords_memo = json.Rs[0].Memo;
                //         } else {
                //             that.dialog.points = [{x: 0, y: 0}];
                //             that.dialog.CoordsId = 0;
                //         }
                //     } else {
                //         that.$message.error(json.Memo + '，错误代码：' + json.Code);
                //     }
                // })
            },
            // 自动补全MAC
            autoCompleteMac() {
                let text = this.dialog.mac;
                if (text.length == 2 || text.length == 5 || text.length == 8 || text.length == 11 || text.length == 14) {
                    this.dialog.mac = this.dialog.mac.toUpperCase() + ":"
                }
                if (text.length > 14) {
                    this.dialog.mac = this.dialog.mac.toUpperCase()
                }
            },
            // 探测记录
            goPhoneRecord(row) {
                this.$router.push({
                    path: '/phoneSign',
                    query:
                        {
                            detectorid: row.Id,
                            comId: 1,
                            regionId: row.RegionId,
                        }
                });
            },
            // 探测记录
            goWifiRecord(row) {
                this.$router.push({
                    path: '/wifiSign',
                    query:
                        {
                            detectorid: row.Id,
                            comId: 1,
                            regionId: row.RegionId,
                        }
                });
            },
            dialog_cancel() {
                let that = this;
                that.dialog_state = false;
            },
            dialog_ok() {
                this.confirmAddEquip();
            },
            // 提交增加新设备
            confirmAddEquip() {
                let that = this;
                let id =  that.dialog.id.toString();
                let param = {
                    token: localStorage.token,
                    id:id,
                    dangerLevel: that.dialog.dangerLevel,
                    deviceType: that.dialog.deviceType,
                    memo: that.dialog.memo,
                };
                let postdata = qs.stringify(param);
                DetectorKnownEdit(postdata).then(res => {
                    let json = res;
                    if (json.Code == 0) {
                        that.$message({
                            showClose: true,
                            message: '设备标记成功！',
                            type: 'success'
                        });
                        // 重载列表
                        that.getTableQuery();
                        that.dialog_state = false;

                    } else {
                        that.$message.error(json.Memo + '，错误代码：' + json.Code);
                    }
                });
            },
            // 提交修改设备信息
            confirmEditEquip() {
                let that = this;
                // checkVal
                if (!that.dialog.mac) {
                    this.$message.error('错了哦，mac不能为空');
                    return false
                }
                if (!checkMac(that.dialog.mac)) {
                    this.$message.error('错了哦，mac格式不正确');
                    return false
                }

                if (!that.dialog.regionId) {
                    this.$message.error('错了哦，所属区域不能为空');
                    return false
                }
                if (!that.dialog.tagname) {
                    this.$message.error('错了哦，标签名不能为空');
                    return false
                }
                if (that.dialog.tagname.length > 20) {
                    this.$message.error('错了哦，标签名不能超过20个字符');
                    return false
                }
                this.selectRegionLabel(that.dialog.regionId);
                let param = {
                    token: localStorage.token,
                    id: that.dialog.eqId,
                    mac: that.dialog.mac,
                    comId: 1,
                    regionId: that.dialog.regionId,
                    name: that.dialog.tagname,
                    HardwareVersion: that.dialog.HardwareVersion,
                    FirmwareVersion: that.dialog.FirmwareVersion,
                    FirmwareScanM4Version: that.dialog.FirmwareScanM4Version,
                    FirmwareScanM0Version: that.dialog.FirmwareScanM0Version,
                    location: that.dialog.location,
                    purchasesrc: that.dialog.purchasesrc,
                    x: that.dialog.points[0].x,
                    y: that.dialog.points[0].y,
                    coords_memo: that.dialog.coords_memo,
                    memo: that.dialog.memo,
                    coordsType: 1,//坐标状态 0：禁用， 1：启用， 9：删除，没有就传0
                    coordsID: that.dialog.CoordsId,
                    status: that.dialog.status,
                };

                let postdata = qs.stringify(param);
                DetectorEdit(postdata).then(res => {
                    let json = res;
                    if (json.Code == 0) {
                        that.$message({
                            showClose: true,
                            message: '设备添加成功！',
                            type: 'success'
                        });
                        // 重载列表
                        that.getTableQuery();
                        that.dialog_state = false;

                    } else {
                        that.$message.error(json.Memo + '，错误代码：' + json.Code);
                    }
                });
            },
            // 修改设备状态
            getDetectorEditStatus(detectorid, status, text) {
                let that = this;
                let param = {
                    token: localStorage.token,
                    detectorid: detectorid,
                    status: status,
                };
                let postdata = qs.stringify(param);
                DetectorEditStatus(postdata).then(res => {
                    let json = res;
                    if (json.Code == 0) {
                        that.$message({
                            showClose: true,
                            message: text + '成功！',
                            type: 'success'
                        });
                        // table 重载
                        that.getTableQuery();
                    } else {
                        that.$message.error(json.Memo + '，错误代码：' + json.Code);
                    }
                })
            },
            // 禁用
            pauseRow(row) {
                let that = this;
                this.$confirm('是否禁用' + row.TagName + '设备？', '禁用操作', {
                    confirmButtonText: '确定',
                    cancelButtonText: '取消',
                    type: 'warning'
                }).then(() => {
                    that.getDetectorEditStatus(row.Id, 0, '禁用');
                }).catch(() => {
                    this.$message({
                        type: 'info',
                        message: '已取消禁用'
                    });
                });
            },
            // 获取区域位置的平面图
            getRegionPictureGetByRegionId(regionID) {
                let that = this;
                let param = {
                    token: localStorage.token,
                    regionID: regionID,
                    regionId: regionID,
                };
                let postdata = qs.stringify(param);
                that.dialog.plateImgSrc = '../assets/img/main/grid.png'
                // RegionPictureGetByRegionId(postdata).then(res => {
                //     let json = res;
                //     that.dialog.plateImgSrc = '';
                //     if (json.Code == 0) {
                //         that.dialog.plateImgSrc = json.EncodeString;
                //     } else {
                //         that.$message.error(json.Memo + '，错误代码：' + json.Code);
                //     }
                // })
            },
            // 启用
            runRow(row) {
                console.log(row);
                let that = this;
                this.$confirm('是否启用' + row.TagName + '设备？', '启用操作', {
                    confirmButtonText: '确定',
                    cancelButtonText: '取消',
                    type: 'warning'
                }).then(() => {
                    that.getDetectorEditStatus(row.Id, 1, '启用');
                }).catch(() => {
                    this.$message({
                        type: 'info',
                        message: '已取消启用'
                    });
                });
            },
            // 添加探测器位置的点坐标
            addPoint(e) {
                let x = e.offsetX;
                let y = e.offsetY;
                this.dialog.points = [{x: x, y: y}];
            },
            // 获取位置的文字内容
            selectRegionLabel(id) {
                let that = this;
                let selectedWorkName = {};
                // selectedWorkName = that.dialog.regionIdRoomOptions.filter(item => {
                selectedWorkName = that.dialog.regionlevelOneIdOptions.filter(item => {
                    if (item.Id === id) {
                        console.log(item.Name);
                        that.dialog.location = item.Name;
                    }
                });
            },
            filterTime(val, row, column) {
                return nonTfmtDate(column, 10);
            },
            // 过滤设备类型
            filterType(value, row, column) {
                return filterAllType(column);
            },
        },
        watch: {
            // 'dialog.regionlevelOneId': function (val) {
            //     this.dialogGetGetChildRegionSelect(val, 2)
            // },
            'dialog.regionId': function (val) {
                if (val) {
                    this.getRegionPictureGetByRegionId(val);
                }
            },
        },
        components: {
            dialog_referrer_list
        }
    }
</script>

<style scoped>
    @import "../assets/css/panel.css";
    @import "../assets/css/dialog.css";

    .tabs ul {
        width: 168px;
        float: left;
    }

    table span {
        cursor: pointer;
    }

    .down_btn {
        float: left;
    }

    .content {
        width: 98%;
        overflow: hidden;
        display: block;
        margin: 0 auto;
        padding-left: 20px;
    }

    .selectStyle {
        width: 100%;
        color: #005EA2;
    }

    .selectStyle ::placeholder {
        color: #005EA2;
    }

    /deep/ .modal .el-select .el-input .el-select__caret {
        position: relative;
        top: 35px;
    }

    .imgContianer {
        width: 100%;
        height: 340px;
        overflow: hidden;
        display: block;
        margin: 0 auto;
    }

    .imgContianer img {
        width: 100%;
        height: 100%;
        overflow: hidden;
        display: block;
        margin: 0 auto;
    }

    .pointers {
        position: relative;
        bottom: 340px;
        width: 100%;
        height: 100%;
        overflow: hidden;
        display: block;
        margin: 0 auto;
    }

    .imgContianer i {
        position: relative;
        width: 10px;
        height: 10px;
        float: left;
        border-radius: 250px;
        background: #FFDD00;
    }

    /deep/ .modal-dialog {
        height: 80px;
        margin-top: 20px;
    }

    /deep/ textarea {
        color: #6DC1FF;
    }

    /deep/ .el-table__empty-text {
        color: #015B9E;
    }

    /deep/ .el-input.is-disabled .el-input__inner {
        background-color: #015B9E;
    }

    .red {
        color: red;
    }

    .yellow {
        color: #fd0;
    }

    /deep/ .modal-body .el-select {
        width: 100%;
    }

    /deep/ .modal-dialog {
        min-height: 280px;
    }
</style>
